/*!\file: elements.h
 * \brief prototypes for elements.h
 */ 

#ifndef _SHARED_ELEMENTS_H_
#define  _SHARED_ELEMENTS_H_

#include "../../objects/objects.h"
#include "../../DataSet/DataSet.h"

void ResolvePointers(Object** objects,int* object_ids,int* object_offsets,int num_objects,DataSet* dataset);
double Paterson(double temperature);
int GetElementNodeData( double* xyz,  Node** nodes, int numgrids);

#endif //ifndef _SHARED_ELEMENTS_H_

